Index: trunk/admin/modules/Elezioni/ele_circo.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_circo.php	(revision 80)
+++ trunk/admin/modules/Elezioni/ele_circo.php	(revision 257)
@@ -13,7 +13,6 @@
     die ("You can't access this file directly...");
 }
-
+global $dbi;
 $aid=$_SESSION['aid'];
-$dbi=$_SESSION['dbi'];
 $prefix=$_SESSION['prefix'];
 $currentlang=$_SESSION['lang'];
@@ -24,6 +23,8 @@
 if ($perms<16 or !$id_cons_gen) die("Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
 
-$res = mysql_query("SELECT t1.tipo_cons,t1.descrizione,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
-list($tipo_cons,$descr_cons,$id_cons) = mysql_fetch_row($res);
+$sql="SELECT t1.tipo_cons,t1.descrizione,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'";
+$res = $dbi->prepare("$sql");
+$res->execute();	
+list($tipo_cons,$descr_cons,$id_cons) = $res->fetch(PDO::FETCH_NUM);
 include("modules/Elezioni/funzionidata.php");
 include("modules/Elezioni/ele.php");
@@ -55,6 +56,8 @@
 
 	if ($do == "modify"){
-		$res = mysql_query("SELECT * FROM ".$prefix."_ele_circoscrizione where id_circ='$id_circ'", $dbi);
-		$pro= mysql_fetch_array($res, 3);
+		$sql = "SELECT * FROM ".$prefix."_ele_circoscrizione where id_circ='$id_circ'";
+		$res = $dbi->prepare("$sql");
+		$res->execute();	
+		$pro= $res->fetch(PDO::FETCH_BOTH);
 		echo "<input type=\"hidden\" name=\"id_circ\" value=\"$id_circ\">"
 		."<input type=\"hidden\" name=\"do\" value=\"update\">";
@@ -63,6 +66,8 @@
 		."<td align=\"center\"><input type=\"submit\" name=\"update\" value=\""._MODIFY."\"></td></tr>";
 	} else {
-		$result = mysql_query("select * from ".$prefix."_ele_circoscrizione where id_cons='$id_cons'",$dbi);
-		$numc=mysql_num_rows($result);
+		$sql = "select max(num_circ) from ".$prefix."_ele_circoscrizione where id_cons='$id_cons'";
+		$result = $dbi->prepare("$sql");
+		$result->execute();	
+		list($numc)=$result->fetch(PDO::FETCH_NUM);
 		$numc++;
 		echo "<tr><td align=\"right\"><input type=\"hidden\" name=\"do\" value=\"add\"><input type=\"text\" name=\"num_circ\"  maxlength=\"3\" size=\"3\" value=\"$numc\"></td>"
@@ -70,10 +75,16 @@
 		echo "<td align=\"center\"><input type=\"submit\" name=\"add\" value=\""._ADD."\"></td></tr>";
 	}	
-	$res = mysql_query("SELECT * FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons'  ", $dbi);
-	$max = mysql_num_rows($res);
-	$result = mysql_query("select * from ".$prefix."_ele_circoscrizione where id_cons='$id_cons'  ORDER BY num_circ  LIMIT $min,$offset", $dbi);
-	while(list($id_cons2, $id_circ, $num_sez, $descr_circ) = mysql_fetch_row($result)) {
-		$restemp = mysql_query("select count(0) from ".$prefix."_ele_sede where id_circ='$id_circ'", $dbi);
-		list($numtemp)=mysql_fetch_row($restemp);
+	$sql = "SELECT * FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons'  ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();	
+	$max = $res->rowCount();
+	$sql="select * from ".$prefix."_ele_circoscrizione where id_cons='$id_cons'  ORDER BY num_circ  LIMIT $min,$offset";
+	$result = $dbi->prepare("$sql");
+	$result->execute();	
+	while(list($id_cons2, $id_circ, $num_sez, $descr_circ) = $result->fetch(PDO::FETCH_NUM)) {
+		$sql="select count(0) from ".$prefix."_ele_sede where id_circ='$id_circ'";
+		$restemp = $dbi->prepare("$sql");
+		$restemp->execute();	
+		list($numtemp)=$restemp->fetch(PDO::FETCH_NUM);
 		$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
 		echo "<tr bgcolor=\"$bgcolor1\"><td align=\"right\"width=\"5%\"><b>$num_sez</b>"
@@ -132,26 +143,34 @@
 			die();
 		}else{
-			$rescirc= mysql_query("select num_circ from ".$prefix."_ele_circoscrizione where id_circ=$id_circ",$dbi);
-			if (mysql_num_rows($rescirc)!=1) die("(1001) Grave errore nel database! contattare l'amministratore");
-			list($num_circ)=mysql_fetch_row($rescirc);
-#			$rif_numcirc=($num_circ>1)?($num_circ-1):($num_circ+1);
-#			$rescirc= mysql_query("select id_circ from ".$prefix."_ele_circoscrizione where num_circ=$rif_numcirc and id_cons=$id_cons",$dbi);
-#			if (mysql_num_rows($rescirc)!=1) die("(1002) Grave errore nel database! contattare l'amministratore -- select id_circ from ".$prefix."_ele_circoscrizione where num_circ=$rif_numcirc  -- $num_circ and id_cons=$id_cons");
-#			list($rif_idcirc)=mysql_fetch_row($rescirc);
-#			mysql_query("update ".$prefix."_ele_sede set id_circ=$rif_idcirc where id_circ=$id_circ",$dbi);
-			$result = mysql_query("delete from ".$prefix."_ele_circoscrizione where id_circ='$id_circ'", $dbi)|| die("(1003) Grave errore nel database! contattare l'amministratore".mysql_error());
-			$rescirc= mysql_query("select id_circ,num_circ from ".$prefix."_ele_circoscrizione where num_circ>$num_circ and id_cons=$id_cons",$dbi);
-			while (list($tmp_id,$tmp_num)=mysql_fetch_row($rescirc))
-				mysql_query("update ".$prefix."_ele_circoscrizione set num_circ=".($tmp_num-1)." where id_circ=$tmp_id",$dbi);
+			$sql="select num_circ from ".$prefix."_ele_circoscrizione where id_circ=$id_circ";
+			$rescirc = $dbi->prepare("$sql");
+			$rescirc->execute();	
+			if ($rescirc->rowCount()!=1) die("(1001) Grave errore nel database! contattare l'amministratore");
+			list($num_circ)=$rescirc->fetch(PDO::FETCH_NUM);
+			$sql="delete from ".$prefix."_ele_circoscrizione where id_circ='$id_circ'";
+			$result = $dbi->prepare("$sql");
+			$result->execute();	
+			$sql="select id_circ,num_circ from ".$prefix."_ele_circoscrizione where num_circ>$num_circ and id_cons=$id_cons";
+			$rescirc = $dbi->prepare("$sql");
+			$rescirc->execute();	
+			while (list($tmp_id,$tmp_num)=$rescirc->fetch(PDO::FETCH_NUM)){
+				$sql="update ".$prefix."_ele_circoscrizione set num_circ=".($tmp_num-1)." where id_circ=$tmp_id";
+				$result = $dbi->prepare("$sql");
+				$result->execute();	
+			}
 			Header("Location: admin.php?op=circo&id_cons_gen=$id_cons_gen");
 		}
 	}elseif ($do == "add") {
 		if ($descr_circ) {
-			$result = mysql_query("insert into ".$prefix."_ele_circoscrizione (id_cons,num_circ,descrizione) values ('$id_cons','$num_circ','$descr_circ')", $dbi)|| die("(1004) Non e' stato possibile inserire i dati nel database! contattare l'amministratore".mysql_error());
+			$sql="insert into ".$prefix."_ele_circoscrizione (id_cons,num_circ,descrizione) values ('$id_cons','$num_circ','$descr_circ')";
+			$result = $dbi->prepare("$sql");
+			$result->execute();	
 			Header("Location: admin.php?op=circo&id_cons_gen=$id_cons_gen");
 		}
 	}elseif ($do == "update") {
 		
-		$result = mysql_query("update  ".$prefix."_ele_circoscrizione set num_circ='$num_circ' , descrizione='$descr_circ' WHERE id_circ='$id_circ'", $dbi)|| die("(1005) Non e' stato possibile aggiornare i dati! contattare l'amministratore".mysql_error());
+		$sql="update  ".$prefix."_ele_circoscrizione set num_circ='$num_circ' , descrizione='$descr_circ' WHERE id_circ='$id_circ'";
+		$result = $dbi->prepare("$sql");
+		$result->execute();	
 		Header("Location: admin.php?op=circo&id_cons_gen=$id_cons_gen");
 	}
